%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function write_serial_port(obj, event)

global write_buffer;

if strcmp(event.Type, 'BreakInterrupt')
    disp('write_serial_port: BreakInterrupt');
elseif strcmp(event.Type, 'BytesAvailable')
    disp('write_serial_port: BytesAvailable');
elseif strcmp(event.Type, 'Error')
    disp(['write_serial_port: Error: ', event.Data.Message]);
elseif strcmp(event.Type, 'OutputEmpty')
    disp('write_serial_port: OutputEmpty');
elseif strcmp(event.Type, 'PinStatus')
    disp('write_serial_port: PinStatus');
elseif strcmp(event.Type, 'Timer')
    disp('write_serial_port: Timer');
else
    disp('write_serial_port: GLUUUUP');
end

fprintf(obj,'c',write_buffer(1))
write_buffer = [];
return