%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Handler for event BytesAvailable
% To be used with the read_message function
% 
% The disp call are just for debug purposes
%
% Joao Sequeira, 2003
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function serial_port_read_char(obj, event)

global read_buffer;

if strcmp(event.Type, 'BytesAvailable')
    if obj.BytesAvailable>0
        i = 0;
        while i<obj.BytesAvailable,
            aux = fread(obj,1,'uint8');
            read_buffer = [read_buffer, aux' ];
            i = i+1;
        end
    else
        disp('read_serial_port_1:BytesAvailable=0 but BytesAvailable event was active');
    end
else
    disp('read_serial_port_1: abnormal event');
end

return