%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Devolve um array da forma [64+n_joint-1, posicao da junta, 3]
%
% Joao Sequeira, 2003
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function status = rob3_read_joint(sp, n_joint)

if n_joint<1 | n_joint>6
    status = 'Unavailable joint';
    return
end

serial_port_clean_inbuffer(sp);

cmd(1) = 64 + n_joint - 1;
cmd(2) = 3;
serial_port_write(sp,cmd);
status = [];
while isempty(status),
    status = serial_port_read(sp);
end
return